Name:		iptstate
Summary:	A top-like display of IP Tables state table entries
Version:	2.2.7
Release:	%mkrel 1
Group:		Monitoring
License:	zlib
URL:		https://github.com/jaymzh/iptstate/
Source0:	https://github.com/jaymzh/iptstate/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Patch01:	0001-Makefile-respect-LDFLAGS.patch
Patch02:	0002-Makefile-Use-pkg-config.patch
Patch03:	0003-Makefile-don-t-override-CPPFLAGS.patch
BuildRequires:	pkgconfig(libnetfilter_conntrack)
BuildRequires:	pkgconfig(ncurses)

Requires:	iptables

%description
IP Tables State (iptstate) was originally written to implement 
the "state top" feature of IP Filter in IP Tables. "State top" 
displays the states held by your stateful firewall in a top-like 
manner.

Since IP Tables doesn't have a built in way to easily display 
this information even once, an option was added to just have it 
display the state table once.

  Features include:
        - Top-like realtime state table information
        - Sorting by any field
        - Reversible sorting
        - Single display of state table
        - Customizable refresh rate
        - Display filtering
        - Color-coding
        - Open Source
        - much more...

%prep
%autosetup -p1

%build
%set_build_flags

%make_build

%install
%make_install PREFIX=%{buildroot}%{_prefix}

%files
%doc README.md
%license LICENSE
%{_sbindir}/iptstate
%{_mandir}/man8/iptstate.*


%changelog
* Sat May 20 2023 daviddavid <daviddavid> 2.2.7-1.mga9
+ Revision: 1957407
- initial package iptstate (mga#15241)

